%define name gIDE
%define version 0.3.0
%define release 5mdk

Name:		%{name}
Summary:	GTK-based Integrated Development Environment for C
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Editors
URL:		http://gide.pn.org/
Source:		gide-%{version}.tar.bz2
Requires:	gnome-libs >= 1.0.0, guile >= 1.3
BuildRoot:	%{_tmppath}/%{name}-buildroot
Buildrequires:	libglade0-devel

%description
The development has just started, but gIDE already features a powerful
Editor with Syntax Highlighting and (One-Line-)Indenter that can
Create, Open, Close, Save & Print Files and there are already
operations like Cut, Copy & Paste implemented.  Search and some Tools
are integrated as well.  gIDE is currently in heavy development and
help will always be appreciated.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n gide-%{version}


%build

export CFLAGS="$RPM_OPT_FLAGS -I%_includedir/libglade-1.0"
export CXXFLAGS="$RPM_OPT_FLAGS -I%_includedir/libglade-1.0"

%configure
%make

%install
%makeinstall

rm -rf $RPM_BUILD_ROOT/usr/lib/gide/*.a
rm -rf $RPM_BUILD_ROOT/usr/lib/gide/plugins/0.1.7/*.a

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/gide"\
title="gIDE"\
longtitle="Gnome IDE"\
needs="x11"\
icon="development_environment_section.png"\
section="Applications/Development/Development environments"
EOF
) 

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_datadir}/gide
%dir %{_libdir}/gide
%dir %{_libdir}/gide/plugins
%dir %{_libdir}/gide/plugins/%{version}
%{_libdir}/gide/plugins/%{version}/*
#%{_includedir}/*
%{_bindir}/*
%{_mandir}/man1/*
%lang(fr) /usr/share/locale/fr/LC_MESSAGES/*
%lang(ja) /usr/share/locale/ja/LC_MESSAGES/*
%{_datadir}/pixmaps/*
%{_libdir}/menu/*
%{_datadir}/gnome/apps/Development/gIDE.desktop

%changelog
* Thu Jan 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-5mdk
- rebuild

* Tue Jan 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-4mdk
- icon
- fix build

* Thu Nov 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-3mdk
- 0.3.0

* Tue Jan 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-2mdk
- rebuild

* Tue Aug 31 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-1mdk
- menu
- BM
- v0.3.0
- macros

* Wed Apr 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.7-2mdk
- fix group
- fix permission on spec

* Tue Feb 29 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- remove filelist for correct use with spec-helper
- user srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Tue Feb 29 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
